package com.chenyang.nse.bussiness.tools.dataprocess.common;

import java.sql.Blob;

public class ColumnBatchInfo {
   private String secretKey;
   private String encryptionType;
   private String value;
   private Blob blob;
   private String isLike;
   private String keepFirst;
   private String encDigit;
   private String twoIndex;
   private Boolean isBlob;

   public String getSecretKey() {
      return this.secretKey;
   }

   public String getEncryptionType() {
      return this.encryptionType;
   }

   public String getValue() {
      return this.value;
   }

   public Blob getBlob() {
      return this.blob;
   }

   public String getIsLike() {
      return this.isLike;
   }

   public String getKeepFirst() {
      return this.keepFirst;
   }

   public String getEncDigit() {
      return this.encDigit;
   }

   public String getTwoIndex() {
      return this.twoIndex;
   }

   public Boolean getIsBlob() {
      return this.isBlob;
   }

   public void setSecretKey(final String secretKey) {
      this.secretKey = secretKey;
   }

   public void setEncryptionType(final String encryptionType) {
      this.encryptionType = encryptionType;
   }

   public void setValue(final String value) {
      this.value = value;
   }

   public void setBlob(final Blob blob) {
      this.blob = blob;
   }

   public void setIsLike(final String isLike) {
      this.isLike = isLike;
   }

   public void setKeepFirst(final String keepFirst) {
      this.keepFirst = keepFirst;
   }

   public void setEncDigit(final String encDigit) {
      this.encDigit = encDigit;
   }

   public void setTwoIndex(final String twoIndex) {
      this.twoIndex = twoIndex;
   }

   public void setIsBlob(final Boolean isBlob) {
      this.isBlob = isBlob;
   }
}
